export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from '../base-5mVaiPUb.js';
import { SpanKind } from '@opentelemetry/api';
import { ExportResult } from '@opentelemetry/core';
import { SpanExporter, ReadableSpan } from '@opentelemetry/sdk-trace-base';
import { L as Logger } from '../index-B2JCcAQt.js';
import { M as MastraStorage } from '../base-zt1WoGxA.js';
import '@opentelemetry/sdk-node';
import 'pino';
import 'stream';
import 'ai';
import '../types-m9RryK9a.js';
import 'sift';
import 'zod';
import 'json-schema';
import '../vector/index.js';
import '../tts/index.js';

declare function withSpan(options: {
    spanName?: string;
    skipIfNoTelemetry?: boolean;
    spanKind?: SpanKind;
}): any;
declare function InstrumentClass(options?: {
    prefix?: string;
    spanKind?: SpanKind;
    excludeMethods?: string[];
    methodFilter?: (methodName: string) => boolean;
}): (target: any) => any;

declare function hasActiveTelemetry(): boolean;

declare class OTLPTraceExporter implements SpanExporter {
    private storage;
    private queue;
    private serializer;
    private logger;
    private activeFlush;
    constructor({ logger, storage }: {
        logger: Logger;
        storage: MastraStorage;
    });
    export(internalRepresentation: ReadableSpan[], resultCallback: (result: ExportResult) => void): void;
    shutdown(): Promise<void>;
    flush(): Promise<void>;
    forceFlush(): Promise<void>;
    __setLogger(logger: Logger): void;
}

export { InstrumentClass, OTLPTraceExporter as OTLPStorageExporter, hasActiveTelemetry, withSpan };
